Interactive API Reference
Explore and test all Crowdee API endpoints interactively.
curl -X GET "https://example.com/v2/auth/start"curl -X GET "https://example.com/v2/auth/logout"{ "message": "string"}curl -X GET "https://example.com/v2/comments"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "text": "string", "image": "string", "time": "string", "edited": true, "authorId": "string", "projectId": "string", "fileId": "string", "workflowId": "string", "parentCommentId": "string", "authorName": "string" }]Authorization
openIdConnect Path Parameters
cuid2Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v2/comments/:commentId"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "text": "string", "image": "string", "time": "string", "edited": true, "authorId": "string", "projectId": "string", "fileId": "string", "workflowId": "string", "parentCommentId": "string", "authorName": "string"}Authorization
openIdConnect Path Parameters
cuid2Request Body
application/json
The updated comment data
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v2/comments/:commentId" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "text": "string", "image": "string", "time": "string", "edited": true, "authorId": "string", "projectId": "string", "fileId": "string", "workflowId": "string", "parentCommentId": "string", "authorName": "string"}Authorization
openIdConnect Path Parameters
cuid2Response Body
application/json
application/json
application/json
curl -X DELETE "https://example.com/v2/comments/:commentId"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "text": "string", "image": "string", "time": "string", "edited": true, "authorId": "string", "projectId": "string", "fileId": "string", "workflowId": "string", "parentCommentId": "string", "authorName": "string"}curl -X GET "https://example.com/v2/files"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "type": "string", "size": -2147483648, "path": "string", "etag": "string", "organizationId": "string", "uploaderId": "string", "lastModified": "2019-08-24T14:15:22Z", "projectId": "string", "privacyLevel": "private", "tags": [ "string" ], "metadata": "string", "additionalInfo": "string", "origin": "user_upload", "originWorkflowId": "string", "sourceFileId": "string", "enrichmentStatus": "pending", "placeholder": "string", "contentHash": "string", "folderId": "string" }]Authorization
openIdConnect Path Parameters
cuid2Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v2/files/:fileId"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "type": "string", "size": -2147483648, "path": "string", "etag": "string", "organizationId": "string", "uploaderId": "string", "lastModified": "2019-08-24T14:15:22Z", "projectId": "string", "privacyLevel": "private", "tags": [ "string" ], "metadata": "string", "additionalInfo": "string", "origin": "user_upload", "originWorkflowId": "string", "sourceFileId": "string", "enrichmentStatus": "pending", "placeholder": "string", "contentHash": "string", "folderId": "string"}Authorization
openIdConnect Path Parameters
cuid2Request Body
application/json
The fields to update on the file
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v2/files/:fileId" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "type": "string", "size": -2147483648, "path": "string", "etag": "string", "organizationId": "string", "uploaderId": "string", "lastModified": "2019-08-24T14:15:22Z", "projectId": "string", "privacyLevel": "private", "tags": [ "string" ], "metadata": "string", "additionalInfo": "string", "origin": "user_upload", "originWorkflowId": "string", "sourceFileId": "string", "enrichmentStatus": "pending", "placeholder": "string", "contentHash": "string", "folderId": "string"}Authorization
openIdConnect Path Parameters
cuid2Response Body
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/v2/files/:fileId"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "type": "string", "size": -2147483648, "path": "string", "etag": "string", "organizationId": "string", "uploaderId": "string", "lastModified": "2019-08-24T14:15:22Z", "projectId": "string", "privacyLevel": "private", "tags": [ "string" ], "metadata": "string", "additionalInfo": "string", "origin": "user_upload", "originWorkflowId": "string", "sourceFileId": "string", "enrichmentStatus": "pending", "placeholder": "string", "contentHash": "string", "folderId": "string"}Authorization
openIdConnect Path Parameters
cuid2Response Body
image/png
application/json
application/json
curl -X GET "https://example.com/v2/files/:fileId/download"{}Authorization
openIdConnect Path Parameters
cuid2Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v2/files/:fileId/comments"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "text": "string", "image": "string", "time": "string", "edited": true, "authorId": "string", "projectId": "string", "fileId": "string", "workflowId": "string", "parentCommentId": "string", "authorName": "string" }]Authorization
openIdConnect Path Parameters
cuid2Request Body
application/json
The comment metadata
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/files/:fileId/comments" \ -H "Content-Type: application/json" \ -d '{ "text": "string" }'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "text": "string", "image": "string", "time": "string", "edited": true, "authorId": "string", "projectId": "string", "fileId": "string", "workflowId": "string", "parentCommentId": "string", "authorName": "string"}Authorization
openIdConnect Path Parameters
cuid2Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v2/files/:fileId/workflows"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "pipelineId": "621ef2b0-ba1d-48e5-89dc-b778e6ed42fd", "pipelineName": "string", "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f", "status": "in_progress", "statusMessage": "string", "n8nExecutionId": -2147483648, "n8nWorkflowId": "string", "n8nWorkflowName": "string", "n8nWorkflowNameLong": "string", "result": "string", "aiInterpretation": "string", "projectId": "string" }]Authorization
openIdConnect Path Parameters
cuid2Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v2/files/:fileId/presigned-url"{ "url": "http://example.com"}Authorization
openIdConnect Path Parameters
cuid2Request Body
application/json
The fields to update on the folder
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v2/folders/:folderId" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "organizationId": "string", "projectId": "string", "parentId": "string", "createdById": "string"}Authorization
openIdConnect Path Parameters
cuid2Response Body
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/v2/folders/:folderId"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "organizationId": "string", "projectId": "string", "parentId": "string", "createdById": "string"}Authorization
openIdConnect Path Parameters
cuid2Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v2/invitations/:invitationId"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "inviteeEmail": "string", "organizationId": "string", "role": "viewer", "status": "pending", "expirationDate": "2019-08-24T14:15:22Z", "organizationName": "string"}Authorization
openIdConnect Path Parameters
cuid2Response Body
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/v2/invitations/:invitationId"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "inviteeEmail": "string", "organizationId": "string", "role": "viewer", "status": "pending", "expirationDate": "2019-08-24T14:15:22Z"}Authorization
openIdConnect Path Parameters
cuid2Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/invitations/:invitationId/accept"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "userId": "string", "organizationId": "string", "role": "viewer", "isDefault": true}curl -X GET "https://example.com/v2/organizations"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "balance_cents": -2147483648, "blocked_balance_cents": -2147483648, "modules": [ "crowdsourcing" ], "logo": "string", "logoPlaceholder": "string" }]Authorization
openIdConnect Request Body
application/json
The organization to create
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v2/organizations" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "description": "string" }'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "balance_cents": -2147483648, "blocked_balance_cents": -2147483648, "modules": [ "crowdsourcing" ], "logo": "string", "logoPlaceholder": "string"}Authorization
openIdConnect Path Parameters
cuid2Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v2/organizations/:organizationId"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "balance_cents": -2147483648, "blocked_balance_cents": -2147483648, "modules": [ "crowdsourcing" ], "logo": "string", "logoPlaceholder": "string"}Authorization
openIdConnect Path Parameters
cuid2Request Body
application/json
The organization fields to update
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v2/organizations/:organizationId" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "balance_cents": -2147483648, "blocked_balance_cents": -2147483648, "modules": [ "crowdsourcing" ], "logo": "string", "logoPlaceholder": "string"}Authorization
openIdConnect Path Parameters
cuid2Request Body
application/json
The invite to create
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/organizations/:organizationId/invite" \ -H "Content-Type: application/json" \ -d '{ "inviteeEmail": "user@example.com", "role": "viewer" }'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "inviteeEmail": "string", "organizationId": "string", "role": "viewer", "status": "pending", "expirationDate": "2019-08-24T14:15:22Z"}Authorization
openIdConnect Path Parameters
cuid2Request Body
multipart/form-data
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v2/organizations/:organizationId/logo" \ -F logo="string"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "balance_cents": -2147483648, "blocked_balance_cents": -2147483648, "modules": [ "crowdsourcing" ], "logo": "string", "logoPlaceholder": "string"}Authorization
openIdConnect Path Parameters
24 <= length <= 2424 <= length <= 24Request Body
application/json
New role for the member
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v2/organizations/:organizationId/members/:userId" \ -H "Content-Type: application/json" \ -d '{ "role": "viewer" }'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "userId": "string", "organizationId": "string", "role": "viewer", "isDefault": true}Authorization
openIdConnect Path Parameters
cuid2Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v2/organizations/:organizationId/billing"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "organizationId": "string", "companyName": "string", "companyEmail": "string", "companyContactSalutation": "string", "companyContactFirstName": "string", "companyContactLastName": "string", "companyTaxNumber": "string", "companyVatRegistrationId": "string", "personSalutation": "string", "personFirstName": "string", "personLastName": "string", "email": "string", "phoneNumber": "string", "billingSupplement": "string", "billingStreet": "string", "billingZip": "string", "billingCity": "string", "billingCountryCode": "string", "shippingSupplement": "string", "shippingStreet": "string", "shippingZip": "string", "shippingCity": "string", "shippingCountryCode": "string", "type": "company", "version": -2147483648, "isComplete": true}Authorization
openIdConnect Path Parameters
cuid2Request Body
application/json
The billing info to create for this organization
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/organizations/:organizationId/billing" \ -H "Content-Type: application/json" \ -d '{ "personSalutation": "string", "personFirstName": "string", "personLastName": "string", "email": "string", "phoneNumber": "string", "billingStreet": "string", "billingZip": "string", "billingCity": "string", "billingCountryCode": "string", "shippingStreet": "string", "shippingZip": "string", "shippingCity": "string", "shippingCountryCode": "string", "type": "person" }'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "organizationId": "string", "companyName": "string", "companyEmail": "string", "companyContactSalutation": "string", "companyContactFirstName": "string", "companyContactLastName": "string", "companyTaxNumber": "string", "companyVatRegistrationId": "string", "personSalutation": "string", "personFirstName": "string", "personLastName": "string", "email": "string", "phoneNumber": "string", "billingSupplement": "string", "billingStreet": "string", "billingZip": "string", "billingCity": "string", "billingCountryCode": "string", "shippingSupplement": "string", "shippingStreet": "string", "shippingZip": "string", "shippingCity": "string", "shippingCountryCode": "string", "type": "company", "version": -2147483648, "isComplete": true}Authorization
openIdConnect Path Parameters
cuid2Request Body
application/json
The billing info fields to update for this organization
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v2/organizations/:organizationId/billing" \ -H "Content-Type: application/json" \ -d '{ "type": "person" }'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "organizationId": "string", "companyName": "string", "companyEmail": "string", "companyContactSalutation": "string", "companyContactFirstName": "string", "companyContactLastName": "string", "companyTaxNumber": "string", "companyVatRegistrationId": "string", "personSalutation": "string", "personFirstName": "string", "personLastName": "string", "email": "string", "phoneNumber": "string", "billingSupplement": "string", "billingStreet": "string", "billingZip": "string", "billingCity": "string", "billingCountryCode": "string", "shippingSupplement": "string", "shippingStreet": "string", "shippingZip": "string", "shippingCity": "string", "shippingCountryCode": "string", "type": "company", "version": -2147483648, "isComplete": true}Authorization
openIdConnect Path Parameters
cuid2Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v2/organizations/:organizationId/users"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "sub": "string", "name": "string", "email": "string", "avatar": "string", "avatarPlaceholder": "string", "organizationId": "string", "role": "viewer", "isSuperadmin": true, "createdVia": "signup", "locale": "string", "timezone": "string" }]Authorization
openIdConnect Path Parameters
cuid2Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v2/organizations/:organizationId/invitations"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "inviteeEmail": "string", "organizationId": "string", "role": "viewer", "status": "pending", "expirationDate": "2019-08-24T14:15:22Z" }]Authorization
openIdConnect Path Parameters
24 <= length <= 24Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/paypal/:id/create-order"{ "orderId": "string"}Authorization
openIdConnect Path Parameters
24 <= length <= 24Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/paypal/:id/capture"{ "ok": true}Authorization
openIdConnect Query Parameters
Value in
- "standard"
- "research"
Value in
- "active"
- "archived"
Response Body
application/json
curl -X GET "https://example.com/v2/projects"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "organizationId": "string", "type": "standard", "status": "active" }]Authorization
openIdConnect Request Body
application/json
The project metadata
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v2/projects" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "description": "string" }'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "organizationId": "string", "type": "standard", "status": "active"}curl -X GET "https://example.com/v2/projects/progress"[ { "projectId": "string", "completed": 0, "total": 0 }]curl -X GET "https://example.com/v2/projects/stats"{ "totalProjects": 0, "activeProjects": 0, "totalFiles": 0, "totalCrowdAnswers": 0}Authorization
openIdConnect Path Parameters
cuid2Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v2/projects/:projectId"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "organizationId": "string", "type": "standard", "status": "active"}Authorization
openIdConnect Path Parameters
cuid2Request Body
application/json
The updated project data
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v2/projects/:projectId" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "organizationId": "string", "type": "standard", "status": "active"}Authorization
openIdConnect Path Parameters
cuid2Response Body
application/json
application/json
application/json
curl -X DELETE "https://example.com/v2/projects/:projectId"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "organizationId": "string", "type": "standard", "status": "active"}Authorization
openIdConnect Path Parameters
cuid2Response Body
application/json
application/json
application/json
curl -X PATCH "https://example.com/v2/projects/:projectId/archive"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "organizationId": "string", "type": "standard", "status": "active"}Authorization
openIdConnect Path Parameters
cuid2Response Body
application/json
application/json
application/json
curl -X PATCH "https://example.com/v2/projects/:projectId/restore"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "organizationId": "string", "type": "standard", "status": "active"}Authorization
openIdConnect Path Parameters
cuid2Query Parameters
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/v2/projects/:projectId/workflows"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "pipelineId": "621ef2b0-ba1d-48e5-89dc-b778e6ed42fd", "pipelineName": "string", "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f", "status": "in_progress", "statusMessage": "string", "n8nExecutionId": -2147483648, "n8nWorkflowId": "string", "n8nWorkflowName": "string", "n8nWorkflowNameLong": "string", "result": "string", "aiInterpretation": "string", "projectId": "string" }]Authorization
openIdConnect Path Parameters
cuid2Request Body
application/json
The workflow metadata
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/projects/:projectId/workflows" \ -H "Content-Type: application/json" \ -d '{ "pipelineId": "621ef2b0-ba1d-48e5-89dc-b778e6ed42fd", "pipelineName": "string", "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f", "n8nExecutionId": 1, "n8nWorkflowId": "string", "n8nWorkflowName": "string", "n8nWorkflowNameLong": "string", "fileIds": [ "stringstringstringstring" ] }'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "pipelineId": "621ef2b0-ba1d-48e5-89dc-b778e6ed42fd", "pipelineName": "string", "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f", "status": "in_progress", "statusMessage": "string", "n8nExecutionId": -2147483648, "n8nWorkflowId": "string", "n8nWorkflowName": "string", "n8nWorkflowNameLong": "string", "result": "string", "aiInterpretation": "string", "projectId": "string"}Authorization
openIdConnect Path Parameters
cuid2Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v2/projects/:projectId/files"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "type": "string", "size": -2147483648, "path": "string", "etag": "string", "organizationId": "string", "uploaderId": "string", "lastModified": "2019-08-24T14:15:22Z", "projectId": "string", "privacyLevel": "private", "tags": [ "string" ], "metadata": "string", "additionalInfo": "string", "origin": "user_upload", "originWorkflowId": "string", "sourceFileId": "string", "enrichmentStatus": "pending", "placeholder": "string", "contentHash": "string", "folderId": "string" }]Authorization
openIdConnect Path Parameters
cuid2Request Body
multipart/form-data
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/projects/:projectId/files" \ -F file[]="string"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "type": "string", "size": -2147483648, "path": "string", "etag": "string", "organizationId": "string", "uploaderId": "string", "lastModified": "2019-08-24T14:15:22Z", "projectId": "string", "privacyLevel": "private", "tags": [ "string" ], "metadata": "string", "additionalInfo": "string", "origin": "user_upload", "originWorkflowId": "string", "sourceFileId": "string", "enrichmentStatus": "pending", "placeholder": "string", "contentHash": "string", "folderId": "string" }]Authorization
openIdConnect Path Parameters
cuid2Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v2/projects/:projectId/comments"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "text": "string", "image": "string", "time": "string", "edited": true, "authorId": "string", "projectId": "string", "fileId": "string", "workflowId": "string", "parentCommentId": "string", "authorName": "string" }]Authorization
openIdConnect Path Parameters
cuid2Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v2/projects/:projectId/folders"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "organizationId": "string", "projectId": "string", "parentId": "string", "createdById": "string" }]Authorization
openIdConnect Path Parameters
cuid2Request Body
application/json
The folder to create
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/projects/:projectId/folders" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "organizationId": "string", "projectId": "string", "parentId": "string", "createdById": "string"}Authorization
openIdConnect Path Parameters
cuid2Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v2/projects/:projectId/jobs"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "title": "string", "description": "string", "status": "assignable", "category": "survey", "language": "en", "surveyTemplateVersionId": "string", "inputDataSetId": "string", "maxAssignments": -32768, "maxRepetitionsPerVariant": -2147483648, "maxWorkTimeMinutes": -2147483648, "rewardCredits": -9007199254740991, "creditsBlocked": -9007199254740991, "platformFeeBlocked": -9007199254740991, "validFrom": "2019-08-24T14:15:22Z", "validUntil": "2019-08-24T14:15:22Z", "qualificationRequirements": "string", "requiredPanelIds": [ "string" ], "verificationCode": "string", "autoAcceptHours": -2147483648, "forceUniqueTasks": true, "isDryRun": true, "dryRunAllowedEmails": [ "string" ], "dryRunMagicToken": "string", "projectId": "string" }]Authorization
openIdConnect Path Parameters
cuid2Request Body
application/json
The job metadata
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/projects/:projectId/jobs" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "title": "string", "description": "string", "category": "survey", "language": "en", "surveyTemplateVersionId": "string" }'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "title": "string", "description": "string", "status": "assignable", "category": "survey", "language": "en", "surveyTemplateVersionId": "string", "inputDataSetId": "string", "maxAssignments": -32768, "maxRepetitionsPerVariant": -2147483648, "maxWorkTimeMinutes": -2147483648, "rewardCredits": -9007199254740991, "creditsBlocked": -9007199254740991, "platformFeeBlocked": -9007199254740991, "validFrom": "2019-08-24T14:15:22Z", "validUntil": "2019-08-24T14:15:22Z", "qualificationRequirements": "string", "requiredPanelIds": [ "string" ], "verificationCode": "string", "autoAcceptHours": -2147483648, "forceUniqueTasks": true, "isDryRun": true, "dryRunAllowedEmails": [ "string" ], "dryRunMagicToken": "string", "projectId": "string"}Authorization
openIdConnect Path Parameters
cuid2Response Body
application/json
application/json
curl -X GET "https://example.com/v2/projects/:projectId/dossier"[ [ "string", [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "pipelineId": "621ef2b0-ba1d-48e5-89dc-b778e6ed42fd", "pipelineName": "string", "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f", "status": "in_progress", "statusMessage": "string", "n8nExecutionId": -2147483648, "n8nWorkflowId": "string", "n8nWorkflowName": "string", "n8nWorkflowNameLong": "string", "result": "string", "aiInterpretation": "string", "projectId": "string" } ] ]]Authorization
openIdConnect Path Parameters
cuid2Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v2/projects/:projectId/survey-templates"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "scope": "project", "language": "en", "projectId": "string", "organizationId": "string", "latestVersion": { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "templateId": "string", "versionNumber": -2147483648, "surveyJs": "string", "authorId": "string" } }]Authorization
openIdConnect Path Parameters
cuid2Request Body
application/json
New survey template with initial content
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v2/projects/:projectId/survey-templates" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "language": "en", "surveyJs": { "property1": null, "property2": null } }'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "scope": "project", "language": "en", "projectId": "string", "organizationId": "string", "latestVersion": { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "templateId": "string", "versionNumber": -2147483648, "surveyJs": "string", "authorId": "string" }}Authorization
openIdConnect Path Parameters
cuid2Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v2/projects/:projectId/verification-contexts"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "projectId": "string", "organizationId": "string", "contextData": "string", "isDefault": true }]Authorization
openIdConnect Path Parameters
cuid2Request Body
application/json
New verification context
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v2/projects/:projectId/verification-contexts" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "contextData": { "property1": null, "property2": null } }'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "projectId": "string", "organizationId": "string", "contextData": "string", "isDefault": true}Authorization
openIdConnect Path Parameters
cuid2Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v2/projects/:projectId/input-data"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "scope": "project", "language": "en", "projectId": "string", "organizationId": "string", "uploaderId": "string" }]Authorization
openIdConnect Path Parameters
cuid2Request Body
application/json
New input data set with lists and optional groups
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/projects/:projectId/input-data" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "language": "en", "lists": [ { "name": "string", "values": [ "string" ] } ] }'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "scope": "project", "language": "en", "projectId": "string", "organizationId": "string", "uploaderId": "string", "lists": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "values": "string", "dataSetId": "string" } ], "groups": [ { "id": "string", "name": "string", "lists": [ { "id": "string", "name": "string", "values": "string" } ] } ]}Authorization
openIdConnect Path Parameters
cuid2Request Body
multipart/form-data
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/projects/:projectId/input-data/from-csv" \ -F file="string" \ -F language="en"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "scope": "project", "language": "en", "projectId": "string", "organizationId": "string", "uploaderId": "string", "lists": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "values": "string", "dataSetId": "string" } ], "groups": [ { "id": "string", "name": "string", "lists": [ { "id": "string", "name": "string", "values": "string" } ] } ]}Authorization
openIdConnect Path Parameters
cuid2Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v2/projects/:projectId/pipeline-runs"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "pipelineSlug": "string", "fileId": "string", "projectId": "string", "organizationId": "string", "status": "pending", "jobId": "string", "result": "string", "error": "string" }]Authorization
openIdConnect Path Parameters
cuid2Request Body
application/json
Pipeline run request
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/projects/:projectId/run-pipeline" \ -H "Content-Type: application/json" \ -d '{ "pipelineSlug": "string", "fileIds": [ "stringstringstringstring" ] }'{ "runs": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "pipelineSlug": "string", "fileId": "string", "projectId": "string", "organizationId": "string", "status": "pending", "jobId": "string", "result": "string", "error": "string" } ]}Authorization
openIdConnect Path Parameters
24 <= length <= 2424 <= length <= 24Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/projects/:projectId/files/:fileId/enrichment/retry"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "pipelineSlug": "string", "fileId": "string", "projectId": "string", "organizationId": "string", "status": "pending", "jobId": "string", "result": "string", "error": "string"}Authorization
openIdConnect Path Parameters
cuid2Query Parameters
Value in
- "pending"
- "running"
- "awaiting_crowd"
- "completed"
- "failed"
Response Body
application/json
application/json
curl -X GET "https://example.com/v2/projects/:projectId/verification-runs"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "pipelineSlug": "string", "projectId": "string", "organizationId": "string", "contextId": "string", "contextDataSnapshot": "string", "status": "pending", "jobId": "string", "verdict": "authentic", "confidence": "string", "scorecard": "string", "explanation": "string", "report": "string", "error": "string", "files": [ { "id": "string", "name": "string", "type": "string", "role": "string" } ], "stages": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "verificationPipelineRunId": "string", "stageSlug": "string", "stageName": "string", "stageType": "ai", "stageOrder": -2147483648, "status": "pending", "verdict": "authentic", "confidence": "string", "stageReport": "string", "artifacts": "string", "crowdJobId": "string", "jobId": "string", "minResponses": -2147483648, "consensusThreshold": "string", "startedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z", "error": "string" } ] }]Authorization
openIdConnect Path Parameters
cuid2Request Body
application/json
Verification run request
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/projects/:projectId/verification-runs" \ -H "Content-Type: application/json" \ -d '{ "pipelineSlug": "string", "fileIds": [ "stringstringstringstring" ] }'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "pipelineSlug": "string", "projectId": "string", "organizationId": "string", "contextId": "string", "contextDataSnapshot": "string", "status": "pending", "jobId": "string", "verdict": "authentic", "confidence": "string", "scorecard": "string", "explanation": "string", "report": "string", "error": "string", "files": [ { "id": "string", "name": "string", "type": "string", "role": "string" } ], "stages": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "verificationPipelineRunId": "string", "stageSlug": "string", "stageName": "string", "stageType": "ai", "stageOrder": -2147483648, "status": "pending", "verdict": "authentic", "confidence": "string", "stageReport": "string", "artifacts": "string", "crowdJobId": "string", "jobId": "string", "minResponses": -2147483648, "consensusThreshold": "string", "startedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z", "error": "string" } ]}Authorization
openIdConnect Path Parameters
24 <= length <= 2424 <= length <= 24Response Body
application/json
application/json
curl -X GET "https://example.com/v2/projects/:projectId/verification-runs/:runId"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "pipelineSlug": "string", "projectId": "string", "organizationId": "string", "contextId": "string", "contextDataSnapshot": "string", "status": "pending", "jobId": "string", "verdict": "authentic", "confidence": "string", "scorecard": "string", "explanation": "string", "report": "string", "error": "string", "files": [ { "id": "string", "name": "string", "type": "string", "role": "string" } ], "stages": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "verificationPipelineRunId": "string", "stageSlug": "string", "stageName": "string", "stageType": "ai", "stageOrder": -2147483648, "status": "pending", "verdict": "authentic", "confidence": "string", "stageReport": "string", "artifacts": "string", "crowdJobId": "string", "jobId": "string", "minResponses": -2147483648, "consensusThreshold": "string", "startedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z", "error": "string" } ]}Authorization
openIdConnect Path Parameters
24 <= length <= 2424 <= length <= 24Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v2/projects/:projectId/verification-runs/:runId/restart"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "pipelineSlug": "string", "projectId": "string", "organizationId": "string", "contextId": "string", "contextDataSnapshot": "string", "status": "pending", "jobId": "string", "verdict": "authentic", "confidence": "string", "scorecard": "string", "explanation": "string", "report": "string", "error": "string", "files": [ { "id": "string", "name": "string", "type": "string", "role": "string" } ], "stages": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "verificationPipelineRunId": "string", "stageSlug": "string", "stageName": "string", "stageType": "ai", "stageOrder": -2147483648, "status": "pending", "verdict": "authentic", "confidence": "string", "stageReport": "string", "artifacts": "string", "crowdJobId": "string", "jobId": "string", "minResponses": -2147483648, "consensusThreshold": "string", "startedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z", "error": "string" } ]}Authorization
openIdConnect Query Parameters
Value in
- "pending"
- "succeeded"
- "failed"
- "canceled"
Value in
- "charge"
- "refund"
1 <= value <= 200500 <= value0Response Body
application/json
application/json
curl -X GET "https://example.com/v2/transactions"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "organizationId": "string", "userId": "string", "type": "charge", "status": "pending", "currency": "str", "amountCents": -2147483648, "taxCents": -2147483648, "idempotencyKey": "string", "provider": "mock_paypal", "providerTransactionId": "string", "reference": "string", "description": "string", "metadata": "string" }]curl -X GET "https://example.com/v2/transactions/balance"{ "balanceCents": 0}Authorization
openIdConnect Path Parameters
24 <= length <= 24Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v2/transactions/:transactionId"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "organizationId": "string", "userId": "string", "type": "charge", "status": "pending", "currency": "str", "amountCents": -2147483648, "taxCents": -2147483648, "idempotencyKey": "string", "provider": "mock_paypal", "providerTransactionId": "string", "reference": "string", "description": "string", "metadata": "string"}Authorization
openIdConnect Request Body
application/json
Charge request
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/transactions/charge" \ -H "Content-Type: application/json" \ -d '{ "amountCents": 100 }'{ "transactionId": "stringstringstringstring", "redirectUrl": "string"}Authorization
openIdConnect Path Parameters
24 <= length <= 24Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/transactions/:transactionId/confirm"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "organizationId": "string", "userId": "string", "type": "charge", "status": "pending", "currency": "str", "amountCents": -2147483648, "taxCents": -2147483648, "idempotencyKey": "string", "provider": "mock_paypal", "providerTransactionId": "string", "reference": "string", "description": "string", "metadata": "string"}Authorization
openIdConnect Path Parameters
24 <= length <= 24Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/transactions/:transactionId/cancel"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "organizationId": "string", "userId": "string", "type": "charge", "status": "pending", "currency": "str", "amountCents": -2147483648, "taxCents": -2147483648, "idempotencyKey": "string", "provider": "mock_paypal", "providerTransactionId": "string", "reference": "string", "description": "string", "metadata": "string"}Authorization
openIdConnect Path Parameters
24 <= length <= 24Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/transactions/:transactionId/fail"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "organizationId": "string", "userId": "string", "type": "charge", "status": "pending", "currency": "str", "amountCents": -2147483648, "taxCents": -2147483648, "idempotencyKey": "string", "provider": "mock_paypal", "providerTransactionId": "string", "reference": "string", "description": "string", "metadata": "string"}Authorization
openIdConnect Query Parameters
Value in
- "paypal_charge"
- "paypal_refund"
- "job_funded"
- "job_refunded"
- "job_reward_adjusted_debit"
- "job_reward_adjusted_credit"
- "job_extended"
- "ai_evaluation_funded"
- "verification_run_charged"
- "lt_run_charged"
- "manual_credit_grant"
- "monitoring_run_charged"
- "finetune_run_charged"
- "worker_bonus"
1 <= value <= 200500 <= value0Response Body
application/json
application/json
curl -X GET "https://example.com/v2/credit-ledger"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "organizationId": "string", "type": "paypal_charge", "amountCents": -2147483648, "balanceAfterCents": -2147483648, "referenceType": "string", "referenceId": "string", "description": "string", "lexwareInvoiceId": "2ff6df09-518a-406f-a8c8-de8ff842ebb5" }]Authorization
openIdConnect Path Parameters
24 <= length <= 24Response Body
application/json
application/json
curl -X GET "https://example.com/v2/credit-ledger/:entryId/receipt"curl -X GET "https://example.com/v2/admin-external-providers"{ "items": [ { "slug": "string", "name": "string", "description": "string", "status": "active", "capabilities": { "create": true, "cancel": true, "pause": true, "resume": true, "syncStatus": true, "syncCost": true, "manageTeams": true }, "panelSpecFields": [ "string" ], "panelSpecFieldOptions": { "property1": [ { "value": "string", "labelEn": "string", "labelDe": "string" } ], "property2": [ { "value": "string", "labelEn": "string", "labelDe": "string" } ] }, "balanceCents": 0, "currency": "string", "activeExternalJobCount": 0 } ]}Authorization
openIdConnect Path Parameters
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v2/admin-external-providers/:slug"{ "slug": "string", "name": "string", "description": "string", "status": "active", "capabilities": { "create": true, "cancel": true, "pause": true, "resume": true, "syncStatus": true, "syncCost": true, "manageTeams": true }, "panelSpecFields": [ "string" ], "panelSpecFieldOptions": { "property1": [ { "value": "string", "labelEn": "string", "labelDe": "string" } ], "property2": [ { "value": "string", "labelEn": "string", "labelDe": "string" } ] }, "balanceCents": 0, "currency": "string", "activeExternalJobCount": 0}Authorization
openIdConnect Path Parameters
Query Parameters
24 <= length <= 24Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v2/admin-external-providers/:slug/eligible-crowd-jobs?organizationId=stringstringstringstring"{ "items": [ { "id": "string", "title": "string", "description": "string", "category": "string", "rewardCredits": 0, "projectId": "string", "projectName": "string" } ]}Authorization
openIdConnect Path Parameters
Query Parameters
24 <= length <= 24Value in
- "draft"
- "pending_creation"
- "active"
- "completing"
- "completed"
- "canceled"
- "error"
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v2/admin-external-providers/:slug/external-jobs"{ "items": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "providerSlug": "string", "crowdJobId": "string", "kind": "entry", "parentExternalJobId": "string", "targetGuestWorkerId": "string", "targetExternalWorkerId": "string", "status": "draft", "externalStatusRaw": "string", "externalReferenceId": "string", "title": "string", "description": "string", "language": "en", "panelSpecification": "string", "correlationToken": "string", "derivedVerificationCode": "string", "publicJobUrl": "string", "plannedStartAt": "2019-08-24T14:15:22Z", "plannedEndAt": "2019-08-24T14:15:22Z", "startedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z", "canceledAt": "2019-08-24T14:15:22Z", "costCurrency": "str", "estimatedCostCents": -9007199254740991, "actualCostCents": -9007199254740991, "lastSyncedAt": "2019-08-24T14:15:22Z", "lastErrorMessage": "string", "metadata": "string", "createdByUserId": "string", "sourceCrowdAnswerId": "string" } ]}Authorization
openIdConnect Path Parameters
Request Body
application/json
New entry external job
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/admin-external-providers/:slug/external-jobs" \ -H "Content-Type: application/json" \ -d '{ "crowdJobId": "stringstringstringstring", "title": "string", "description": "string", "panelSpecification": { "participants": 1 } }'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "providerSlug": "string", "crowdJobId": "string", "kind": "entry", "parentExternalJobId": "string", "targetGuestWorkerId": "string", "targetExternalWorkerId": "string", "status": "draft", "externalStatusRaw": "string", "externalReferenceId": "string", "title": "string", "description": "string", "language": "en", "panelSpecification": "string", "correlationToken": "string", "derivedVerificationCode": "string", "publicJobUrl": "string", "plannedStartAt": "2019-08-24T14:15:22Z", "plannedEndAt": "2019-08-24T14:15:22Z", "startedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z", "canceledAt": "2019-08-24T14:15:22Z", "costCurrency": "str", "estimatedCostCents": -9007199254740991, "actualCostCents": -9007199254740991, "lastSyncedAt": "2019-08-24T14:15:22Z", "lastErrorMessage": "string", "metadata": "string", "createdByUserId": "string", "sourceCrowdAnswerId": "string"}Authorization
openIdConnect Path Parameters
24 <= length <= 24Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v2/admin-external-providers/:slug/external-jobs/:externalJobId"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "providerSlug": "string", "crowdJobId": "string", "kind": "entry", "parentExternalJobId": "string", "targetGuestWorkerId": "string", "targetExternalWorkerId": "string", "status": "draft", "externalStatusRaw": "string", "externalReferenceId": "string", "title": "string", "description": "string", "language": "en", "panelSpecification": "string", "correlationToken": "string", "derivedVerificationCode": "string", "publicJobUrl": "string", "plannedStartAt": "2019-08-24T14:15:22Z", "plannedEndAt": "2019-08-24T14:15:22Z", "startedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z", "canceledAt": "2019-08-24T14:15:22Z", "costCurrency": "str", "estimatedCostCents": -9007199254740991, "actualCostCents": -9007199254740991, "lastSyncedAt": "2019-08-24T14:15:22Z", "lastErrorMessage": "string", "metadata": "string", "createdByUserId": "string", "sourceCrowdAnswerId": "string"}Authorization
openIdConnect Path Parameters
24 <= length <= 24Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v2/admin-external-providers/:slug/external-jobs/:externalJobId/cancel"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "providerSlug": "string", "crowdJobId": "string", "kind": "entry", "parentExternalJobId": "string", "targetGuestWorkerId": "string", "targetExternalWorkerId": "string", "status": "draft", "externalStatusRaw": "string", "externalReferenceId": "string", "title": "string", "description": "string", "language": "en", "panelSpecification": "string", "correlationToken": "string", "derivedVerificationCode": "string", "publicJobUrl": "string", "plannedStartAt": "2019-08-24T14:15:22Z", "plannedEndAt": "2019-08-24T14:15:22Z", "startedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z", "canceledAt": "2019-08-24T14:15:22Z", "costCurrency": "str", "estimatedCostCents": -9007199254740991, "actualCostCents": -9007199254740991, "lastSyncedAt": "2019-08-24T14:15:22Z", "lastErrorMessage": "string", "metadata": "string", "createdByUserId": "string", "sourceCrowdAnswerId": "string"}Authorization
openIdConnect Path Parameters
24 <= length <= 24Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/admin-external-providers/:slug/external-jobs/:externalJobId/sync"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "providerSlug": "string", "crowdJobId": "string", "kind": "entry", "parentExternalJobId": "string", "targetGuestWorkerId": "string", "targetExternalWorkerId": "string", "status": "draft", "externalStatusRaw": "string", "externalReferenceId": "string", "title": "string", "description": "string", "language": "en", "panelSpecification": "string", "correlationToken": "string", "derivedVerificationCode": "string", "publicJobUrl": "string", "plannedStartAt": "2019-08-24T14:15:22Z", "plannedEndAt": "2019-08-24T14:15:22Z", "startedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z", "canceledAt": "2019-08-24T14:15:22Z", "costCurrency": "str", "estimatedCostCents": -9007199254740991, "actualCostCents": -9007199254740991, "lastSyncedAt": "2019-08-24T14:15:22Z", "lastErrorMessage": "string", "metadata": "string", "createdByUserId": "string", "sourceCrowdAnswerId": "string"}Authorization
openIdConnect Path Parameters
24 <= length <= 24Response Body
application/json
application/json
curl -X GET "https://example.com/v2/admin-external-providers/:slug/external-jobs/:externalJobId/events"{ "items": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "externalJobId": "string", "type": "created", "payload": "string", "actorUserId": "string" } ]}Authorization
openIdConnect Path Parameters
24 <= length <= 24Response Body
application/json
application/json
curl -X GET "https://example.com/v2/admin-external-providers/:slug/external-jobs/:externalJobId/workers"{ "items": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "providerSlug": "string", "externalWorkerId": "string", "externalDisplayName": "string", "guestWorkerId": "string", "personalWhitelistTeamId": "string", "status": "active", "firstSeenAt": "2019-08-24T14:15:22Z", "lastSeenAt": "2019-08-24T14:15:22Z", "metadata": "string" } ]}Authorization
openIdConnect Path Parameters
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v2/admin-external-providers/:slug/ledger"{ "balanceCents": 0, "currency": "string", "items": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "providerSlug": "string", "externalJobId": "string", "type": "starting_balance", "amountCents": -9007199254740991, "balanceAfterCents": -9007199254740991, "currency": "str", "breakdown": "string", "note": "string", "createdByUserId": "string" } ]}Authorization
openIdConnect Path Parameters
Request Body
application/json
Starting balance entry
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/admin-external-providers/:slug/ledger/starting-balance" \ -H "Content-Type: application/json" \ -d '{ "amountCents": 0, "note": "string" }'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "providerSlug": "string", "externalJobId": "string", "type": "starting_balance", "amountCents": -9007199254740991, "balanceAfterCents": -9007199254740991, "currency": "str", "breakdown": "string", "note": "string", "createdByUserId": "string"}Authorization
openIdConnect Path Parameters
Request Body
application/json
Balance correction entry
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/admin-external-providers/:slug/ledger/correction" \ -H "Content-Type: application/json" \ -d '{ "amountCents": 0, "note": "string" }'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "providerSlug": "string", "externalJobId": "string", "type": "starting_balance", "amountCents": -9007199254740991, "balanceAfterCents": -9007199254740991, "currency": "str", "breakdown": "string", "note": "string", "createdByUserId": "string"}curl -X GET "https://example.com/v2/users"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "sub": "string", "name": "string", "email": "string", "avatar": "string", "avatarPlaceholder": "string", "organizationId": "string", "role": "viewer", "isSuperadmin": true, "createdVia": "signup", "locale": "string", "timezone": "string" }]Authorization
openIdConnect Request Body
application/json
The user to create
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v2/users" \ -H "Content-Type: application/json" \ -d '{ "sub": "stringstri", "name": "string", "email": "user@example.com" }'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "sub": "string", "name": "string", "email": "string", "avatar": "string", "avatarPlaceholder": "string", "organizationId": "string", "role": "viewer", "isSuperadmin": true, "createdVia": "signup", "locale": "string", "timezone": "string"}curl -X GET "https://example.com/v2/users/me"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "sub": "string", "name": "string", "email": "string", "avatar": "string", "avatarPlaceholder": "string", "organizationId": "string", "role": "viewer", "isSuperadmin": true, "createdVia": "signup", "locale": "string", "timezone": "string"}Authorization
openIdConnect Request Body
application/json
Profile update
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/v2/users/me" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "sub": "string", "name": "string", "email": "string", "avatar": "string", "avatarPlaceholder": "string", "organizationId": "string", "role": "viewer", "isSuperadmin": true, "createdVia": "signup", "locale": "string", "timezone": "string"}curl -X GET "https://example.com/v2/users/me/registration-status"{ "status": "pending"}curl -X POST "https://example.com/v2/users/me/resend-confirmation"{ "message": "string"}Authorization
openIdConnect Request Body
multipart/form-data
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PATCH "https://example.com/v2/users/me/avatar" \ -F avatar="string"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "sub": "string", "name": "string", "email": "string", "avatar": "string", "avatarPlaceholder": "string", "organizationId": "string", "role": "viewer", "isSuperadmin": true, "createdVia": "signup", "locale": "string", "timezone": "string"}Authorization
openIdConnect Path Parameters
cuid2Response Body
application/json
application/json
curl -X GET "https://example.com/v2/users/:userId"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "sub": "string", "name": "string", "email": "string", "avatar": "string", "avatarPlaceholder": "string", "organizationId": "string", "role": "viewer", "isSuperadmin": true, "createdVia": "signup", "locale": "string", "timezone": "string"}Authorization
openIdConnect Path Parameters
cuid2Response Body
application/json
application/json
application/json
curl -X DELETE "https://example.com/v2/users/:userId"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "sub": "string", "name": "string", "email": "string", "avatar": "string", "avatarPlaceholder": "string", "organizationId": "string", "role": "viewer", "isSuperadmin": true, "createdVia": "signup", "locale": "string", "timezone": "string"}Authorization
openIdConnect Request Body
application/json
The user to create
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/users/signup" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "email": "user@example.com", "password": "stringst" }'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "sub": "string", "name": "string", "email": "string", "avatar": "string", "avatarPlaceholder": "string", "organizationId": "string", "role": "viewer", "isSuperadmin": true, "createdVia": "signup", "locale": "string", "timezone": "string"}Authorization
openIdConnect Path Parameters
cuid2Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v2/users/verify/:registrationId"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "authentikUserId": -2147483648, "userId": "string", "status": "pending", "expirationDate": "2019-08-24T14:15:22Z"}Authorization
openIdConnect Request Body
application/json
Email address to send a password reset link to
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v2/users/request-password-reset" \ -H "Content-Type: application/json" \ -d '{ "email": "user@example.com" }'{ "message": "string"}Authorization
openIdConnect Request Body
application/json
Reset token (from the emailed link) and the new password
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/users/reset-password" \ -H "Content-Type: application/json" \ -d '{ "token": "stringstringstringstring", "password": "stringst" }'{ "message": "string"}Authorization
openIdConnect Path Parameters
cuid2Request Body
application/json
New role for the user within their organization (viewer, user or admin). Superadmin is a global flag, not settable here.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v2/users/:userId/role" \ -H "Content-Type: application/json" \ -d '{ "role": "viewer" }'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "sub": "string", "name": "string", "email": "string", "avatar": "string", "avatarPlaceholder": "string", "organizationId": "string", "role": "viewer", "isSuperadmin": true, "createdVia": "signup", "locale": "string", "timezone": "string"}curl -X GET "https://example.com/v2/users/me/organizations"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "userId": "string", "organizationId": "string", "role": "viewer", "isDefault": true, "organization": { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "balance_cents": -2147483648, "blocked_balance_cents": -2147483648, "modules": [ "crowdsourcing" ], "logo": "string", "logoPlaceholder": "string" } }]Authorization
openIdConnect Path Parameters
cuid2Response Body
application/json
application/json
curl -X PUT "https://example.com/v2/users/me/organizations/:organizationId/default"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "userId": "string", "organizationId": "string", "role": "viewer", "isDefault": true}curl -X GET "https://example.com/v2/users/me/api-keys"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "userId": "string", "name": "string", "role": "viewer", "expirationDate": "2019-08-24T14:15:22Z", "state": "active", "organizationIds": [ "stringstringstringstring" ] }]Authorization
openIdConnect Request Body
application/json
Create an API key for the authenticated user
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/users/me/api-keys" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "apiKey": { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "userId": "string", "name": "string", "role": "viewer", "expirationDate": "2019-08-24T14:15:22Z", "state": "active", "organizationIds": [ "stringstringstringstring" ] }, "key": "string"}Authorization
openIdConnect Path Parameters
cuid2Request Body
application/json
Update an existing API key
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v2/users/me/api-keys/:apiKeyId" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "userId": "string", "name": "string", "role": "viewer", "expirationDate": "2019-08-24T14:15:22Z", "state": "active", "organizationIds": [ "stringstringstringstring" ]}Authorization
openIdConnect Path Parameters
cuid2Response Body
application/json
application/json
curl -X DELETE "https://example.com/v2/users/me/api-keys/:apiKeyId"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "userId": "string", "name": "string", "role": "viewer", "expirationDate": "2019-08-24T14:15:22Z", "state": "active", "organizationIds": [ "stringstringstringstring" ]}Authorization
openIdConnect Path Parameters
cuid2Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v2/users/me/api-keys/:apiKeyId/rotate"{ "apiKey": { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "userId": "string", "name": "string", "role": "viewer", "expirationDate": "2019-08-24T14:15:22Z", "state": "active", "organizationIds": [ "stringstringstringstring" ] }, "key": "string"}curl -X GET "https://example.com/v2/workflows"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "pipelineId": "621ef2b0-ba1d-48e5-89dc-b778e6ed42fd", "pipelineName": "string", "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f", "status": "in_progress", "statusMessage": "string", "n8nExecutionId": -2147483648, "n8nWorkflowId": "string", "n8nWorkflowName": "string", "n8nWorkflowNameLong": "string", "result": "string", "aiInterpretation": "string", "projectId": "string" }]Authorization
openIdConnect Path Parameters
cuid2Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v2/workflows/:workflowId"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "pipelineId": "621ef2b0-ba1d-48e5-89dc-b778e6ed42fd", "pipelineName": "string", "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f", "status": "in_progress", "statusMessage": "string", "n8nExecutionId": -2147483648, "n8nWorkflowId": "string", "n8nWorkflowName": "string", "n8nWorkflowNameLong": "string", "result": "string", "aiInterpretation": "string", "projectId": "string"}Authorization
openIdConnect Path Parameters
cuid2Request Body
application/json
The updated workflow data
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v2/workflows/:workflowId" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "pipelineId": "621ef2b0-ba1d-48e5-89dc-b778e6ed42fd", "pipelineName": "string", "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f", "status": "in_progress", "statusMessage": "string", "n8nExecutionId": -2147483648, "n8nWorkflowId": "string", "n8nWorkflowName": "string", "n8nWorkflowNameLong": "string", "result": "string", "aiInterpretation": "string", "projectId": "string"}Authorization
openIdConnect Path Parameters
cuid2Response Body
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/v2/workflows/:workflowId"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "pipelineId": "621ef2b0-ba1d-48e5-89dc-b778e6ed42fd", "pipelineName": "string", "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f", "status": "in_progress", "statusMessage": "string", "n8nExecutionId": -2147483648, "n8nWorkflowId": "string", "n8nWorkflowName": "string", "n8nWorkflowNameLong": "string", "result": "string", "aiInterpretation": "string", "projectId": "string"}Authorization
openIdConnect Path Parameters
cuid2Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v2/workflows/:workflowId/comments"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "text": "string", "image": "string", "time": "string", "edited": true, "authorId": "string", "projectId": "string", "fileId": "string", "workflowId": "string", "parentCommentId": "string", "authorName": "string" }]Authorization
openIdConnect Path Parameters
cuid2Request Body
application/json
The comment metadata
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/workflows/:workflowId/comments" \ -H "Content-Type: application/json" \ -d '{ "text": "string" }'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "text": "string", "image": "string", "time": "string", "edited": true, "authorId": "string", "projectId": "string", "fileId": "string", "workflowId": "string", "parentCommentId": "string", "authorName": "string"}Authorization
openIdConnect Path Parameters
cuid2Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v2/workflows/:workflowId/files"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "type": "string", "size": -2147483648, "path": "string", "etag": "string", "organizationId": "string", "uploaderId": "string", "lastModified": "2019-08-24T14:15:22Z", "projectId": "string", "privacyLevel": "private", "tags": [ "string" ], "metadata": "string", "additionalInfo": "string", "origin": "user_upload", "originWorkflowId": "string", "sourceFileId": "string", "enrichmentStatus": "pending", "placeholder": "string", "contentHash": "string", "folderId": "string" }]curl -X GET "https://example.com/v2/pipelines/catalog"[ { "slug": "string", "name": "string", "description": "string", "status": "active", "estimatedMinutes": 0, "tier": "ai-only", "requiredFiles": [ { "label": "string", "description": "string", "mimeTypes": [ "string" ], "minCount": 0, "maxCount": 0, "requiredEnrichmentFields": [ "string" ] } ], "requiredContextFields": [ { "key": "string", "label": "string", "description": "string", "type": "string", "enumValues": [ "string" ] } ], "optionalContextFields": [ { "key": "string", "label": "string", "description": "string", "type": "string", "enumValues": [ "string" ] } ], "stages": [ { "slug": "string", "name": "string", "type": "ai", "description": "string" } ], "costCredits": 0 }]Authorization
openIdConnect Path Parameters
Response Body
application/json
application/json
curl -X GET "https://example.com/v2/pipelines/catalog/:slug"{ "slug": "string", "name": "string", "description": "string", "status": "active", "estimatedMinutes": 0, "tier": "ai-only", "requiredFiles": [ { "label": "string", "description": "string", "mimeTypes": [ "string" ], "minCount": 0, "maxCount": 0, "requiredEnrichmentFields": [ "string" ] } ], "requiredContextFields": [ { "key": "string", "label": "string", "description": "string", "type": "string", "enumValues": [ "string" ] } ], "optionalContextFields": [ { "key": "string", "label": "string", "description": "string", "type": "string", "enumValues": [ "string" ] } ], "stages": [ { "slug": "string", "name": "string", "type": "ai", "description": "string" } ], "costCredits": 0}Authorization
openIdConnect Path Parameters
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/v2/pipelines/:pipelineId/workflows"{ "input": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "type": "string", "size": -2147483648, "path": "string", "etag": "string", "organizationId": "string", "uploaderId": "string", "lastModified": "2019-08-24T14:15:22Z", "projectId": "string", "privacyLevel": "private", "tags": [ "string" ], "metadata": "string", "additionalInfo": "string", "origin": "user_upload", "originWorkflowId": "string", "sourceFileId": "string", "enrichmentStatus": "pending", "placeholder": "string", "contentHash": "string", "folderId": "string" } ], "output": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "type": "string", "size": -2147483648, "path": "string", "etag": "string", "organizationId": "string", "uploaderId": "string", "lastModified": "2019-08-24T14:15:22Z", "projectId": "string", "privacyLevel": "private", "tags": [ "string" ], "metadata": "string", "additionalInfo": "string", "origin": "user_upload", "originWorkflowId": "string", "sourceFileId": "string", "enrichmentStatus": "pending", "placeholder": "string", "contentHash": "string", "folderId": "string" } ]}Authorization
openIdConnect Request Body
application/json
Create shared result payload
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v2/shared-results" \ -H "Content-Type: application/json" \ -d '{ "projectId": "stringstringstringstring", "pipelineId": "621ef2b0-ba1d-48e5-89dc-b778e6ed42fd", "durationHours": 1 }'{ "id": "stringstringstringstring"}Authorization
openIdConnect Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v2/shared-results/:id"{ "id": "stringstringstringstring", "projectId": "stringstringstringstring", "projectName": "string", "pipelineId": "621ef2b0-ba1d-48e5-89dc-b778e6ed42fd", "workflows": [ { "id": "stringstringstringstring", "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f", "projectId": "stringstringstringstring", "pipelineId": "621ef2b0-ba1d-48e5-89dc-b778e6ed42fd", "pipelineName": "string", "n8nWorkflowName": "string", "status": "string", "statusMessage": "string", "aiInterpretation": "string", "result": "string", "createdAt": "string" } ], "pipelineFiles": { "input": [ { "id": "stringstringstringstring", "name": "string", "size": 0, "type": "string", "projectId": "stringstringstringstring", "originWorkflowId": "stringstringstringstring", "createdAt": "string", "url": "string" } ], "output": [ { "id": "stringstringstringstring", "name": "string", "size": 0, "type": "string", "projectId": "stringstringstringstring", "originWorkflowId": "stringstringstringstring", "createdAt": "string", "url": "string" } ] }, "workflowFiles": { "property1": [ { "id": "stringstringstringstring", "name": "string", "size": 0, "type": "string", "projectId": "stringstringstringstring", "originWorkflowId": "stringstringstringstring", "createdAt": "string", "url": "string" } ], "property2": [ { "id": "stringstringstringstring", "name": "string", "size": 0, "type": "string", "projectId": "stringstringstringstring", "originWorkflowId": "stringstringstringstring", "createdAt": "string", "url": "string" } ] }}Authorization
openIdConnect Query Parameters
24 <= length <= 24Value in
- "project"
- "organization"
- "public"
Response Body
application/json
curl -X GET "https://example.com/v2/survey-templates"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "scope": "project", "language": "en", "projectId": "string", "organizationId": "string", "latestVersion": { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "templateId": "string", "versionNumber": -2147483648, "surveyJs": "string", "authorId": "string" } }]Authorization
openIdConnect Path Parameters
cuid2Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v2/survey-templates/:templateId"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "scope": "project", "language": "en", "projectId": "string", "organizationId": "string", "latestVersion": { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "templateId": "string", "versionNumber": -2147483648, "surveyJs": "string", "authorId": "string" }}Authorization
openIdConnect Path Parameters
cuid2Request Body
application/json
Updated template data
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.com/v2/survey-templates/:templateId" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "scope": "project", "language": "en", "projectId": "string", "organizationId": "string", "latestVersion": { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "templateId": "string", "versionNumber": -2147483648, "surveyJs": "string", "authorId": "string" }}Authorization
openIdConnect Path Parameters
cuid2Response Body
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/v2/survey-templates/:templateId"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "scope": "project", "language": "en", "projectId": "string", "organizationId": "string", "latestVersion": { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "templateId": "string", "versionNumber": -2147483648, "surveyJs": "string", "authorId": "string" }}Authorization
openIdConnect Path Parameters
cuid2Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v2/survey-templates/:templateId/versions"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "templateId": "string", "versionNumber": -2147483648, "surveyJs": "string", "authorId": "string" }]Authorization
openIdConnect Path Parameters
24 <= length <= 2424 <= length <= 24Response Body
application/json
application/json
application/json
curl -X DELETE "https://example.com/v2/survey-templates/:templateId/versions/:versionId"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "templateId": "string", "versionNumber": -2147483648, "surveyJs": "string", "authorId": "string"}Authorization
openIdConnect Query Parameters
24 <= length <= 24Value in
- "project"
- "organization"
Response Body
application/json
curl -X GET "https://example.com/v2/input-data"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "scope": "project", "language": "en", "projectId": "string", "organizationId": "string", "uploaderId": "string" }]Authorization
openIdConnect Path Parameters
cuid2Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v2/input-data/:dataSetId"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "scope": "project", "language": "en", "projectId": "string", "organizationId": "string", "uploaderId": "string", "lists": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "values": "string", "dataSetId": "string" } ], "groups": [ { "id": "string", "name": "string", "lists": [ { "id": "string", "name": "string", "values": "string" } ] } ]}Authorization
openIdConnect Path Parameters
cuid2Request Body
application/json
Updated data set metadata
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.com/v2/input-data/:dataSetId" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "scope": "project", "language": "en", "projectId": "string", "organizationId": "string", "uploaderId": "string", "lists": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "values": "string", "dataSetId": "string" } ], "groups": [ { "id": "string", "name": "string", "lists": [ { "id": "string", "name": "string", "values": "string" } ] } ]}Authorization
openIdConnect Path Parameters
cuid2Response Body
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/v2/input-data/:dataSetId"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "scope": "project", "language": "en", "projectId": "string", "organizationId": "string", "uploaderId": "string"}Authorization
openIdConnect Path Parameters
cuid2Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v2/input-data/:dataSetId/variants"{ "count": 0, "variants": [ { "index": 0, "slots": [ { "type": "list", "id": "string", "name": "string", "valueIndex": 0, "values": { "property1": "string", "property2": "string" } } ] } ]}Authorization
openIdConnect Path Parameters
cuid2Request Body
application/json
New list (column) definition
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/input-data/:dataSetId/lists" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "values": [ "string" ] }'{ "id": "string", "name": "string", "values": "string"}Authorization
openIdConnect Path Parameters
24 <= length <= 2424 <= length <= 24Response Body
application/json
application/json
curl -X DELETE "https://example.com/v2/input-data/:dataSetId/lists/:listId"{ "id": "string", "name": "string", "values": "string"}Authorization
openIdConnect Path Parameters
cuid2Request Body
application/json
New group definition
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/input-data/:dataSetId/groups" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "listNames": [ "string", "string" ] }'{ "id": "string", "name": "string", "lists": [ { "id": "string", "name": "string", "values": "string" } ]}Authorization
openIdConnect Path Parameters
24 <= length <= 2424 <= length <= 24Request Body
application/json
Updated group definition
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.com/v2/input-data/:dataSetId/groups/:groupId" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "name": "string", "lists": [ { "id": "string", "name": "string", "values": "string" } ]}Authorization
openIdConnect Path Parameters
24 <= length <= 2424 <= length <= 24Response Body
application/json
application/json
curl -X DELETE "https://example.com/v2/input-data/:dataSetId/groups/:groupId"{ "id": "string", "name": "string", "lists": [ { "id": "string", "name": "string", "values": "string" } ]}Authorization
openIdConnect Query Parameters
24 <= length <= 24Response Body
application/json
curl -X GET "https://example.com/v2/verification-contexts"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "projectId": "string", "organizationId": "string", "contextData": "string", "isDefault": true }]Authorization
openIdConnect Path Parameters
cuid2Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v2/verification-contexts/:contextId"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "projectId": "string", "organizationId": "string", "contextData": "string", "isDefault": true}Authorization
openIdConnect Path Parameters
cuid2Request Body
application/json
Updated context data
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.com/v2/verification-contexts/:contextId" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "projectId": "string", "organizationId": "string", "contextData": "string", "isDefault": true}Authorization
openIdConnect Path Parameters
cuid2Response Body
application/json
application/json
application/json
curl -X DELETE "https://example.com/v2/verification-contexts/:contextId"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "projectId": "string", "organizationId": "string", "contextData": "string", "isDefault": true}Authorization
openIdConnect Query Parameters
Value in
- "pending"
- "running"
- "awaiting_crowd"
- "completed"
- "failed"
Response Body
application/json
application/json
curl -X GET "https://example.com/v2/verification-runs"[ { "id": "string", "pipelineSlug": "string", "status": "pending", "verdict": "authentic", "confidence": "string", "projectId": "string", "projectName": "string", "fileCount": 0, "createdAt": "string", "updatedAt": "string" }]curl -X GET "https://example.com/v2/compliance/checks"{ "checks": [ { "id": "string", "organizationId": "string", "regulation": "string", "category": "string", "status": "compliant", "details": "string", "actionRequired": "string", "lastCheckedAt": "string", "createdAt": "string", "updatedAt": "string" } ], "score": 0, "compliantCount": 0, "warningCount": 0, "nonCompliantCount": 0}Authorization
openIdConnect Request Body
application/json
New compliance check
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v2/compliance/checks" \ -H "Content-Type: application/json" \ -d '{ "regulation": "string", "category": "string", "details": "string" }'{ "id": "string", "organizationId": "string", "regulation": "string", "category": "string", "status": "compliant", "details": "string", "actionRequired": "string", "lastCheckedAt": "string", "createdAt": "string", "updatedAt": "string"}curl -X POST "https://example.com/v2/compliance/checks/run"{ "checks": [ { "id": "string", "organizationId": "string", "regulation": "string", "category": "string", "status": "compliant", "details": "string", "actionRequired": "string", "lastCheckedAt": "string", "createdAt": "string", "updatedAt": "string" } ], "score": 0, "compliantCount": 0, "warningCount": 0, "nonCompliantCount": 0}Authorization
openIdConnect Path Parameters
24 <= length <= 24Request Body
application/json
Updated compliance check fields
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v2/compliance/checks/:checkId" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "organizationId": "string", "regulation": "string", "category": "string", "status": "compliant", "details": "string", "actionRequired": "string", "lastCheckedAt": "string", "createdAt": "string", "updatedAt": "string"}Authorization
openIdConnect Path Parameters
24 <= length <= 24Response Body
application/json
application/json
curl -X DELETE "https://example.com/v2/compliance/checks/:checkId"Authorization
openIdConnect Query Parameters
1 <= value <= 20050Response Body
application/json
application/json
curl -X GET "https://example.com/v2/compliance/audit-events"[ { "id": "string", "organizationId": "string", "action": "string", "userName": "string", "userId": "string", "regulation": "string", "result": "pass", "metadata": { "property1": null, "property2": null }, "createdAt": "string" }]Authorization
openIdConnect Request Body
application/json
New audit event
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v2/compliance/audit-events" \ -H "Content-Type: application/json" \ -d '{ "action": "string", "regulation": "string" }'{ "id": "string", "organizationId": "string", "action": "string", "userName": "string", "userId": "string", "regulation": "string", "result": "pass", "metadata": { "property1": null, "property2": null }, "createdAt": "string"}curl -X GET "https://example.com/v2/compliance/exports"[ { "id": "string", "organizationId": "string", "projectId": "string", "projectName": "string", "requestedByUserId": "string", "requestedByName": "string", "regulation": "string", "dueDate": "string", "status": "pending", "createdAt": "string", "updatedAt": "string" }]Authorization
openIdConnect Request Body
application/json
New compliance export
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/compliance/exports" \ -H "Content-Type: application/json" \ -d '{ "projectName": "string", "regulation": "string", "dueDate": "2019-08-24T14:15:22Z" }'{ "id": "string", "organizationId": "string", "projectId": "string", "projectName": "string", "requestedByUserId": "string", "requestedByName": "string", "regulation": "string", "dueDate": "string", "status": "pending", "createdAt": "string", "updatedAt": "string"}Authorization
openIdConnect Path Parameters
24 <= length <= 24Request Body
application/json
Updated export status
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PATCH "https://example.com/v2/compliance/exports/:exportId" \ -H "Content-Type: application/json" \ -d '{ "status": "pending" }'{ "id": "string", "organizationId": "string", "projectId": "string", "projectName": "string", "requestedByUserId": "string", "requestedByName": "string", "regulation": "string", "dueDate": "string", "status": "pending", "createdAt": "string", "updatedAt": "string"}Authorization
openIdConnect Path Parameters
24 <= length <= 24Response Body
application/json
application/json
curl -X DELETE "https://example.com/v2/compliance/exports/:exportId"curl -X GET "https://example.com/v2/datasets/catalog/cleaning-pipelines"[ { "slug": "string", "name": "string", "description": "string", "supportedModalities": [ "image" ] }]curl -X GET "https://example.com/v2/datasets"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "internalId": "string", "name": "string", "description": "string", "modality": "image", "organizationId": "string", "createdById": "string", "versionCount": 0 }]Authorization
openIdConnect Request Body
application/json
New dataset
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v2/datasets" \ -H "Content-Type: application/json" \ -d '{ "internalId": "string", "name": "string", "modality": "image", "organizationId": "string" }'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "internalId": "string", "name": "string", "description": "string", "modality": "image", "organizationId": "string", "createdById": "string"}Authorization
openIdConnect Path Parameters
cuid2Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v2/datasets/:datasetId"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "internalId": "string", "name": "string", "description": "string", "modality": "image", "organizationId": "string", "createdById": "string", "versions": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "datasetId": "string", "state": "raw", "label": "string", "parentVersionId": "string", "cleaningPipelineSlug": "string", "jobId": "string", "fileCount": -2147483648, "error": "string" } ]}Authorization
openIdConnect Path Parameters
cuid2Request Body
application/json
Updated dataset metadata
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PATCH "https://example.com/v2/datasets/:datasetId" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "internalId": "string", "name": "string", "description": "string", "modality": "image", "organizationId": "string", "createdById": "string"}Authorization
openIdConnect Path Parameters
cuid2Response Body
application/json
application/json
application/json
curl -X DELETE "https://example.com/v2/datasets/:datasetId"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "internalId": "string", "name": "string", "description": "string", "modality": "image", "organizationId": "string", "createdById": "string"}Authorization
openIdConnect Path Parameters
cuid2Request Body
multipart/form-data
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/datasets/:datasetId/files" \ -F file[]="string"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "type": "string", "size": -2147483648, "path": "string", "etag": "string", "organizationId": "string", "uploaderId": "string", "lastModified": "2019-08-24T14:15:22Z", "projectId": "string", "privacyLevel": "private", "tags": [ "string" ], "metadata": "string", "additionalInfo": "string", "origin": "user_upload", "originWorkflowId": "string", "sourceFileId": "string", "enrichmentStatus": "pending", "placeholder": "string", "contentHash": "string", "folderId": "string" }]Authorization
openIdConnect Path Parameters
24 <= length <= 2424 <= length <= 24Response Body
application/json
application/json
application/json
curl -X DELETE "https://example.com/v2/datasets/:datasetId/files/:fileId"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "type": "string", "size": -2147483648, "path": "string", "etag": "string", "organizationId": "string", "uploaderId": "string", "lastModified": "2019-08-24T14:15:22Z", "projectId": "string", "privacyLevel": "private", "tags": [ "string" ], "metadata": "string", "additionalInfo": "string", "origin": "user_upload", "originWorkflowId": "string", "sourceFileId": "string", "enrichmentStatus": "pending", "placeholder": "string", "contentHash": "string", "folderId": "string"}Authorization
openIdConnect Path Parameters
cuid2Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v2/datasets/:datasetId/versions"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "datasetId": "string", "state": "raw", "label": "string", "parentVersionId": "string", "cleaningPipelineSlug": "string", "jobId": "string", "fileCount": -2147483648, "error": "string" }]Authorization
openIdConnect Path Parameters
24 <= length <= 2424 <= length <= 24Query Parameters
1 <= value11 <= value <= 20050Response Body
application/json
application/json
curl -X GET "https://example.com/v2/datasets/:datasetId/versions/:versionId"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "datasetId": "string", "state": "raw", "label": "string", "parentVersionId": "string", "cleaningPipelineSlug": "string", "jobId": "string", "fileCount": -2147483648, "error": "string", "files": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "type": "string", "size": -2147483648, "path": "string", "etag": "string", "organizationId": "string", "uploaderId": "string", "lastModified": "2019-08-24T14:15:22Z", "projectId": "string", "privacyLevel": "private", "tags": [ "string" ], "metadata": "string", "additionalInfo": "string", "origin": "user_upload", "originWorkflowId": "string", "sourceFileId": "string", "enrichmentStatus": "pending", "placeholder": "string", "contentHash": "string", "folderId": "string", "excludedAt": "string" } ]}Authorization
openIdConnect Path Parameters
24 <= length <= 2424 <= length <= 2424 <= length <= 24Request Body
application/json
Whether this file should be excluded from the version
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/v2/datasets/:datasetId/versions/:versionId/files/:fileId" \ -H "Content-Type: application/json" \ -d '{ "excluded": true }'{ "datasetVersionId": "string", "fileId": "string", "excludedAt": "string"}Authorization
openIdConnect Path Parameters
24 <= length <= 2424 <= length <= 24Request Body
application/json
Cleaning pipeline configuration
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
[...]
